Index: bootscripts/Changelog
===================================================================
--- bootscripts/Changelog	(revision 4631c1c615ae73b8b83135f4143687650c58aba5)
+++ bootscripts/Changelog	(revision a6ede081d1678264587c6a55ae8fa9a2b8d9892f)
@@ -1,2 +1,7 @@
+jim - May 15, 2006
+	* Hide all the output information from the LCD Program
+	* Added support for 1 line LCD screens
+	* Added a generic sysconfig/lcd
+
 jim - May 10, 2006
 	* Fixed an error when the LCD device is not available
Index: bootscripts/Makefile
===================================================================
--- bootscripts/Makefile	(revision 4631c1c615ae73b8b83135f4143687650c58aba5)
+++ bootscripts/Makefile	(revision a6ede081d1678264587c6a55ae8fa9a2b8d9892f)
@@ -145,4 +145,7 @@
 	if [ ! -f ${EXTDIR}/sysconfig/lcd          ]; then install -m ${CONFMODE} lfs/sysconfig/lcd-raq3          ${EXTDIR}/sysconfig/lcd; fi
 
+install-lcd: 
+	if [ ! -f ${EXTDIR}/sysconfig/lcd          ]; then install -m ${CONFMODE} lfs/sysconfig/lcd              ${EXTDIR}/sysconfig/lcd; fi
+
 .PHONY: all create-dirs create-service-dir install install-consolelog \
-	install-service-mtu minimal install-raq2 install-raq3
+	install-service-mtu minimal install-lcd install-raq2 install-raq3
Index: bootscripts/lfs/init.d/functions
===================================================================
--- bootscripts/lfs/init.d/functions	(revision 4631c1c615ae73b8b83135f4143687650c58aba5)
+++ bootscripts/lfs/init.d/functions	(revision a6ede081d1678264587c6a55ae8fa9a2b8d9892f)
@@ -90,5 +90,5 @@
 	if [ "$LCD_PROG" ]; then
 		LCD_OUT1="${1:0:$LCD_CHAR}"
-		$LCD_PROG "$LCD_OUT1"
+		$LCD_PROG "$LCD_OUT1" > /dev/null 2>&1
 	fi
 
@@ -138,6 +138,11 @@
 	boot_mesg_flush "[  OK  ]"
 	if [ "$LCD_PROG" ]; then
-		LCD_OUT2="[  OK  ]"
-		$LCD_PROG "$LCD_OUT1" "$LCD_OUT2"
+		if [ "$LCD_LINES" = "2" ]; then
+			LCD_OUT2="[  OK  ]"
+			$LCD_PROG "$LCD_OUT1" "$LCD_OUT2" > /dev/null 2>&1
+		else
+			LCD_OUT2="${LCD_OUT1:0:12} OK"
+			$LCD_PROG "$LCD_OUT2" > /dev/null 2>&1
+		fi			
 	fi
 }
@@ -149,6 +154,11 @@
 	boot_mesg_flush "[ FAIL ]"
 	if [ "$LCD_PROG" ]; then
-		LCD_OUT2="[  FAIL  ]"
-		$LCD_PROG "$LCD_OUT1" "$LCD_OUT2"
+		if [ "$LCD_LINES" = "2" ]; then
+			LCD_OUT2="[ FAIL  ]"
+			$LCD_PROG "$LCD_OUT1" "$LCD_OUT2" > /dev/null 2>&1
+		else
+			LCD_OUT2="${LCD_OUT1:0:10} FAIL"
+			$LCD_PROG "$LCD_OUT2" > /dev/null 2>&1
+		fi
 	fi
 }
@@ -159,6 +169,11 @@
 	echo -e "${NORMAL}"
 	if [ "$LCD_PROG" ]; then
-		LCD_OUT2="[  WARN  ]"
-		$LCD_PROG "$LCD_OUT1" "$LCD_OUT2"
+		if [ "$LCD_LINES" = "2" ]; then
+			LCD_OUT2="[ WARN  ]"
+			$LCD_PROG "$LCD_OUT1" "$LCD_OUT2" > /dev/null 2>&1
+		else
+			LCD_OUT2="${LCD_OUT1:0:10} WARN"
+			$LCD_PROG "$LCD_OUT2" > /dev/null 2>&1
+		fi			
 	fi
 	boot_mesg_flush "[ WARN ]"
Index: bootscripts/lfs/sysconfig/lcd
===================================================================
--- bootscripts/lfs/sysconfig/lcd	(revision a6ede081d1678264587c6a55ae8fa9a2b8d9892f)
+++ bootscripts/lfs/sysconfig/lcd	(revision a6ede081d1678264587c6a55ae8fa9a2b8d9892f)
@@ -0,0 +1,29 @@
+########################################################################
+# Begin /etc/sysconfig/lcd
+#
+# Description : LCD Screen Control
+#
+# Authors     :
+#
+# Version     : 00.00
+#
+# Notes       : In the bootscripts we are assuming that the normal
+#               LCD screen can handle 2 lines 16 characters.
+#               If you LCD is one line you need to set lcd1line
+#
+########################################################################
+
+# Set the # of lines for the LCD Display
+#
+LCD_LINES=1
+
+# The executable that writes to the LCD
+#
+LCD_PROG={name of lcd program}
+
+# Number of characters the screen can handle
+# 16 is the most common
+#
+LCD_CHAR=16
+
+# End /etc/sysconfig/lcd
Index: bootscripts/lfs/sysconfig/lcd-raq2
===================================================================
--- bootscripts/lfs/sysconfig/lcd-raq2	(revision 4631c1c615ae73b8b83135f4143687650c58aba5)
+++ bootscripts/lfs/sysconfig/lcd-raq2	(revision a6ede081d1678264587c6a55ae8fa9a2b8d9892f)
@@ -12,4 +12,8 @@
 ########################################################################
 
+# Set the # of lines for the LCD Display
+#
+LCD_LINES=2
+
 # The executable that writes to the LCD
 #
Index: bootscripts/lfs/sysconfig/lcd-raq3
===================================================================
--- bootscripts/lfs/sysconfig/lcd-raq3	(revision 4631c1c615ae73b8b83135f4143687650c58aba5)
+++ bootscripts/lfs/sysconfig/lcd-raq3	(revision a6ede081d1678264587c6a55ae8fa9a2b8d9892f)
@@ -12,4 +12,8 @@
 ########################################################################
 
+# Set the # of lines for the LCD Display
+#
+LCD_LINES=2
+
 # The executable that writes to the LCD
 #
